Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Friends | List of all members
MaxOptionsDialog Class Reference
Inheritance diagram for MaxOptionsDialog:

## Public Member Functions
void | AddNode (ULONG INodeHandle)
void | ClearNodeList (HWND hWnd)
void | CullBadNodes ()
bool | FindNode (ULONG INodeHandle)
ULONG | GetNode (int i)
IOResult | Load (ILoad *iload)
void | RefreshNodeList (HWND hWnd)
void | RemoveNode (int i)
void | RemoveNodeByHandle (ULONG INodeHandle)
IOResult | Save (ISave *isave)
void | SetAnimRange ()
void | SetMaxInterface (IObjParam *iface)
bool | UpdateFromUI (HWND hWnd)
void | UpdateUI (HWND hWnd)
Public Member Functions inherited from MaxEggOptions
| PT (PathReplace) _path_replace

## Public Attributes
bool | _checked
bool | _choosing_nodes
int | _max_frame
int | _min_frame
MaxEggOptions::Anim_Type | _prev_type
Public Attributes inherited from MaxEggOptions
Anim_Type | _anim_type
bool | _double_sided
int | _end_frame
bool | _export_all_frames
bool | _export_whole_scene
TCHAR | _file_name [2048]
IObjParam * | _max_interface
std::vector< ULONG > | _node_list
TCHAR | _short_name [256]
int | _start_frame
bool | _successful

## Friends
class | MaxEggPlugin

## Additional Inherited Members
Public Types inherited from MaxEggOptions
enum | Anim_Type { AT_none , AT_model , AT_chan , AT_pose , AT_strobe , AT_both }

## Detailed Description

Definition at line 78 of file maxOptionsDialog.h.

## Constructor & Destructor Documentation

## ◆ MaxOptionsDialog()

MaxOptionsDialog::MaxOptionsDialog | ( |  | ) |

Definition at line 462 of file maxOptionsDialog.cxx.

## ◆ ~MaxOptionsDialog()

MaxOptionsDialog::~MaxOptionsDialog | ( |  | ) |

Definition at line 472 of file maxOptionsDialog.cxx.

## Member Function Documentation

## ◆ AddNode()

void MaxOptionsDialog::AddNode | ( | ULONG | INodeHandle | ) |

Definition at line 617 of file maxOptionsDialog.cxx.

## ◆ ClearNodeList()

void MaxOptionsDialog::ClearNodeList | ( | HWND | hWnd | ) |

Definition at line 514 of file maxOptionsDialog.cxx.

## ◆ CullBadNodes()

void MaxOptionsDialog::CullBadNodes | ( |  | ) |

Definition at line 622 of file maxOptionsDialog.cxx.

## ◆ FindNode()

bool MaxOptionsDialog::FindNode | ( | ULONG | INodeHandle | ) |

Definition at line 611 of file maxOptionsDialog.cxx.

## ◆ GetNode()

ULONG MaxOptionsDialog::GetNode | ( | int | i | ) |
| inline

Definition at line 106 of file maxOptionsDialog.h.

## ◆ Load()

IOResult MaxOptionsDialog::Load | ( | ILoad * | iload | ) |

Definition at line 671 of file maxOptionsDialog.cxx.

## ◆ RefreshNodeList()

void MaxOptionsDialog::RefreshNodeList | ( | HWND | hWnd | ) |

Definition at line 519 of file maxOptionsDialog.cxx.

## ◆ RemoveNode()

void MaxOptionsDialog::RemoveNode | ( | int | i | ) |

Definition at line 634 of file maxOptionsDialog.cxx.

## ◆ RemoveNodeByHandle()

void MaxOptionsDialog::RemoveNodeByHandle | ( | ULONG | INodeHandle | ) |

Definition at line 642 of file maxOptionsDialog.cxx.

## ◆ Save()

IOResult MaxOptionsDialog::Save | ( | ISave * | isave | ) |

Definition at line 651 of file maxOptionsDialog.cxx.

## ◆ SetAnimRange()

void MaxOptionsDialog::SetAnimRange | ( |  | ) |

Definition at line 455 of file maxOptionsDialog.cxx.

## ◆ SetMaxInterface()

void MaxOptionsDialog::SetMaxInterface | ( | IObjParam * | iface | ) |
| inline

Definition at line 93 of file maxOptionsDialog.h.

## ◆ UpdateFromUI()

bool MaxOptionsDialog::UpdateFromUI | ( | HWND | hWnd | ) |

Definition at line 531 of file maxOptionsDialog.cxx.

## ◆ UpdateUI()

void MaxOptionsDialog::UpdateUI | ( | HWND | hWnd | ) |

Definition at line 477 of file maxOptionsDialog.cxx.

## Friends And Related Symbol Documentation

## ◆ MaxEggPlugin

friend class MaxEggPlugin
| friend

Definition at line 80 of file maxOptionsDialog.h.

## Member Data Documentation

## ◆ _checked

bool MaxOptionsDialog::_checked

Definition at line 84 of file maxOptionsDialog.h.

## ◆ _choosing_nodes

bool MaxOptionsDialog::_choosing_nodes

Definition at line 85 of file maxOptionsDialog.h.

## ◆ _max_frame

int MaxOptionsDialog::_max_frame

Definition at line 83 of file maxOptionsDialog.h.

## ◆ _min_frame

int MaxOptionsDialog::_min_frame

Definition at line 83 of file maxOptionsDialog.h.

## ◆ _prev_type

MaxEggOptions::Anim_Type MaxOptionsDialog::_prev_type

Definition at line 86 of file maxOptionsDialog.h.

The documentation for this class was generated from the following files:

- pandatool/src/maxegg/maxOptionsDialog.h
- pandatool/src/maxegg/maxOptionsDialog.cxx